Index: /asp_wo_cfg/trunk/MANIFEST
===================================================================
--- /asp_wo_cfg/trunk/MANIFEST	(revision 61)
+++ /asp_wo_cfg/trunk/MANIFEST	(revision 62)
@@ -1,4 +1,4 @@
 PACKAGE asp_wo_cfg
-VERSION 1.8.0
+VERSION 1.9.0
 
 configure
Index: /asp_wo_cfg/trunk/README.txt
===================================================================
--- /asp_wo_cfg/trunk/README.txt	(revision 61)
+++ /asp_wo_cfg/trunk/README.txt	(revision 62)
@@ -1,4 +1,4 @@
 
-	TOPPERS/ASP Kernel without Configurator（Release 1.8.0）
+	TOPPERS/ASP Kernel without Configurator（Release 1.9.0）
 		Toyohashi Open Platform for Embedded Real-Time Systems/
 		Advanced Standard Profile Kernel
Index: /asp_wo_cfg/trunk/include/kernel.h
===================================================================
--- /asp_wo_cfg/trunk/include/kernel.h	(revision 61)
+++ /asp_wo_cfg/trunk/include/kernel.h	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -555,6 +555,6 @@
 #define TKERNEL_MAKER	UINT_C(0x0118)	/* カーネルのメーカーコード */
 #define TKERNEL_PRID	UINT_C(0x0007)	/* カーネルの識別番号 */
-#define TKERNEL_SPVER	UINT_C(0xf515)	/* カーネル仕様のバージョン番号 */
-#define TKERNEL_PRVER	UINT_C(0x1080)	/* カーネルのバージョン番号 */
+#define TKERNEL_SPVER	UINT_C(0xf516)	/* カーネル仕様のバージョン番号 */
+#define TKERNEL_PRVER	UINT_C(0x1090)	/* カーネルのバージョン番号 */
 
 /*
Index: /asp_wo_cfg/trunk/include/test_lib.h
===================================================================
--- /asp_wo_cfg/trunk/include/test_lib.h	(revision 61)
+++ /asp_wo_cfg/trunk/include/test_lib.h	(revision 62)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2005-2011 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -65,4 +65,9 @@
  */
 extern void	set_bit_func(BIT_FUNC bit_func);
+
+/*
+ *  テストプログラムの開始
+ */
+extern void	test_start(char *progname);
 
 /*
Index: /asp_wo_cfg/trunk/kernel/dataqueue.c
===================================================================
--- /asp_wo_cfg/trunk/kernel/dataqueue.c	(revision 61)
+++ /asp_wo_cfg/trunk/kernel/dataqueue.c	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -303,5 +303,5 @@
 
 bool_t
-send_data(DTQCB *p_dtqcb, intptr_t data, bool_t *p_reqdsp)
+send_data(DTQCB *p_dtqcb, intptr_t data, bool_t *p_dspreq)
 {
 	TCB		*p_tcb;
@@ -310,10 +310,10 @@
 		p_tcb = (TCB *) queue_delete_next(&(p_dtqcb->rwait_queue));
 		((WINFO_DTQ *)(p_tcb->p_winfo))->data = data;
-		*p_reqdsp = wait_complete(p_tcb);
+		*p_dspreq = wait_complete(p_tcb);
 		return(true);
 	}
 	else if (p_dtqcb->count < p_dtqcb->p_dtqinib->dtqcnt) {
 		enqueue_data(p_dtqcb, data);
-		*p_reqdsp = false;
+		*p_dspreq = false;
 		return(true);
 	}
@@ -354,5 +354,5 @@
 
 bool_t
-receive_data(DTQCB *p_dtqcb, intptr_t *p_data, bool_t *p_reqdsp)
+receive_data(DTQCB *p_dtqcb, intptr_t *p_data, bool_t *p_dspreq)
 {
 	TCB		*p_tcb;
@@ -365,8 +365,8 @@
 			data = ((WINFO_DTQ *)(p_tcb->p_winfo))->data;
 			enqueue_data(p_dtqcb, data);
-			*p_reqdsp = wait_complete(p_tcb);
+			*p_dspreq = wait_complete(p_tcb);
 		}
 		else {
-			*p_reqdsp = false;
+			*p_dspreq = false;
 		}
 		return(true);
@@ -375,5 +375,5 @@
 		p_tcb = (TCB *) queue_delete_next(&(p_dtqcb->swait_queue));
 		*p_data = ((WINFO_DTQ *)(p_tcb->p_winfo))->data;
-		*p_reqdsp = wait_complete(p_tcb);
+		*p_dspreq = wait_complete(p_tcb);
 		return(true);
 	}
@@ -395,5 +395,5 @@
 	DTQCB	*p_dtqcb;
 	WINFO_DTQ winfo_dtq;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -405,6 +405,6 @@
 
 	t_lock_cpu();
-	if (send_data(p_dtqcb, data, &reqdsp)) {
-		if (reqdsp) {
+	if (send_data(p_dtqcb, data, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -436,5 +436,5 @@
 {
 	DTQCB	*p_dtqcb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -446,6 +446,6 @@
 
 	t_lock_cpu();
-	if (send_data(p_dtqcb, data, &reqdsp)) {
-		if (reqdsp) {
+	if (send_data(p_dtqcb, data, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -473,5 +473,5 @@
 {
 	DTQCB	*p_dtqcb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -483,6 +483,6 @@
 
 	i_lock_cpu();
-	if (send_data(p_dtqcb, data, &reqdsp)) {
-		if (reqdsp) {
+	if (send_data(p_dtqcb, data, &dspreq)) {
+		if (dspreq) {
 			reqflg = true;
 		}
@@ -512,5 +512,5 @@
 	WINFO_DTQ winfo_dtq;
 	TMEVTB	tmevtb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -523,6 +523,6 @@
 
 	t_lock_cpu();
-	if (send_data(p_dtqcb, data, &reqdsp)) {
-		if (reqdsp) {
+	if (send_data(p_dtqcb, data, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -623,5 +623,5 @@
 	DTQCB	*p_dtqcb;
 	WINFO_DTQ winfo_dtq;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -633,6 +633,6 @@
 
 	t_lock_cpu();
-	if (receive_data(p_dtqcb, p_data, &reqdsp)) {
-		if (reqdsp) {
+	if (receive_data(p_dtqcb, p_data, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -669,5 +669,5 @@
 {
 	DTQCB	*p_dtqcb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -679,6 +679,6 @@
 
 	t_lock_cpu();
-	if (receive_data(p_dtqcb, p_data, &reqdsp)) {
-		if (reqdsp) {
+	if (receive_data(p_dtqcb, p_data, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -708,5 +708,5 @@
 	WINFO_DTQ winfo_dtq;
 	TMEVTB	tmevtb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -719,6 +719,6 @@
 
 	t_lock_cpu();
-	if (receive_data(p_dtqcb, p_data, &reqdsp)) {
-		if (reqdsp) {
+	if (receive_data(p_dtqcb, p_data, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
Index: /asp_wo_cfg/trunk/kernel/dataqueue.h
===================================================================
--- /asp_wo_cfg/trunk/kernel/dataqueue.h	(revision 61)
+++ /asp_wo_cfg/trunk/kernel/dataqueue.h	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -144,5 +144,5 @@
  *  データキューへのデータ送信
  */
-extern bool_t	send_data(DTQCB *p_dtqcb, intptr_t data, bool_t *p_reqdsp);
+extern bool_t	send_data(DTQCB *p_dtqcb, intptr_t data, bool_t *p_dspreq);
 
 /*
@@ -155,5 +155,5 @@
  */
 extern bool_t	receive_data(DTQCB *p_dtqcb, intptr_t *p_data,
-													bool_t *p_reqdsp);
+													bool_t *p_dspreq);
 
 #endif /* TOPPERS_DATAQUEUE_H */
Index: /asp_wo_cfg/trunk/kernel/pridataq.c
===================================================================
--- /asp_wo_cfg/trunk/kernel/pridataq.c	(revision 61)
+++ /asp_wo_cfg/trunk/kernel/pridataq.c	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -292,5 +292,5 @@
 
 bool_t
-send_pridata(PDQCB *p_pdqcb, intptr_t data, PRI datapri, bool_t *p_reqdsp)
+send_pridata(PDQCB *p_pdqcb, intptr_t data, PRI datapri, bool_t *p_dspreq)
 {
 	TCB		*p_tcb;
@@ -300,10 +300,10 @@
 		((WINFO_PDQ *)(p_tcb->p_winfo))->data = data;
 		((WINFO_PDQ *)(p_tcb->p_winfo))->datapri = datapri;
-		*p_reqdsp = wait_complete(p_tcb);
+		*p_dspreq = wait_complete(p_tcb);
 		return(true);
 	}
 	else if (p_pdqcb->count < p_pdqcb->p_pdqinib->pdqcnt) {
 		enqueue_pridata(p_pdqcb, data, datapri);
-		*p_reqdsp = false;
+		*p_dspreq = false;
 		return(true);
 	}
@@ -322,5 +322,5 @@
 bool_t
 receive_pridata(PDQCB *p_pdqcb, intptr_t *p_data,
-									PRI *p_datapri, bool_t *p_reqdsp)
+									PRI *p_datapri, bool_t *p_dspreq)
 {
 	TCB		*p_tcb;
@@ -335,8 +335,8 @@
 			datapri = ((WINFO_PDQ *)(p_tcb->p_winfo))->datapri;
 			enqueue_pridata(p_pdqcb, data, datapri);
-			*p_reqdsp = wait_complete(p_tcb);
+			*p_dspreq = wait_complete(p_tcb);
 		}
 		else {
-			*p_reqdsp = false;
+			*p_dspreq = false;
 		}
 		return(true);
@@ -346,5 +346,5 @@
 		*p_data = ((WINFO_PDQ *)(p_tcb->p_winfo))->data;
 		*p_datapri = ((WINFO_PDQ *)(p_tcb->p_winfo))->datapri;
-		*p_reqdsp = wait_complete(p_tcb);
+		*p_dspreq = wait_complete(p_tcb);
 		return(true);
 	}
@@ -366,5 +366,5 @@
 	PDQCB	*p_pdqcb;
 	WINFO_PDQ winfo_pdq;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -377,6 +377,6 @@
 
 	t_lock_cpu();
-	if (send_pridata(p_pdqcb, data, datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (send_pridata(p_pdqcb, data, datapri, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -409,5 +409,5 @@
 {
 	PDQCB	*p_pdqcb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -420,6 +420,6 @@
 
 	t_lock_cpu();
-	if (send_pridata(p_pdqcb, data, datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (send_pridata(p_pdqcb, data, datapri, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -447,5 +447,5 @@
 {
 	PDQCB	*p_pdqcb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -458,6 +458,6 @@
 
 	i_lock_cpu();
-	if (send_pridata(p_pdqcb, data, datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (send_pridata(p_pdqcb, data, datapri, &dspreq)) {
+		if (dspreq) {
 			reqflg = true;
 		}
@@ -487,5 +487,5 @@
 	WINFO_PDQ winfo_pdq;
 	TMEVTB	tmevtb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -499,6 +499,6 @@
 
 	t_lock_cpu();
-	if (send_pridata(p_pdqcb, data, datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (send_pridata(p_pdqcb, data, datapri, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -536,5 +536,5 @@
 	PDQCB	*p_pdqcb;
 	WINFO_PDQ winfo_pdq;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -546,6 +546,6 @@
 
 	t_lock_cpu();
-	if (receive_pridata(p_pdqcb, p_data, p_datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (receive_pridata(p_pdqcb, p_data, p_datapri, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -583,5 +583,5 @@
 {
 	PDQCB	*p_pdqcb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -593,6 +593,6 @@
 
 	t_lock_cpu();
-	if (receive_pridata(p_pdqcb, p_data, p_datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (receive_pridata(p_pdqcb, p_data, p_datapri, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
@@ -622,5 +622,5 @@
 	WINFO_PDQ winfo_pdq;
 	TMEVTB	tmevtb;
-	bool_t	reqdsp;
+	bool_t	dspreq;
 	ER		ercd;
 
@@ -633,6 +633,6 @@
 
 	t_lock_cpu();
-	if (receive_pridata(p_pdqcb, p_data, p_datapri, &reqdsp)) {
-		if (reqdsp) {
+	if (receive_pridata(p_pdqcb, p_data, p_datapri, &dspreq)) {
+		if (dspreq) {
 			dispatch();
 		}
Index: /asp_wo_cfg/trunk/kernel/pridataq.h
===================================================================
--- /asp_wo_cfg/trunk/kernel/pridataq.h	(revision 61)
+++ /asp_wo_cfg/trunk/kernel/pridataq.h	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -148,5 +148,5 @@
  */
 extern bool_t	send_pridata(PDQCB *p_pdqcb, intptr_t data,
-											PRI datapri, bool_t *p_reqdsp);
+											PRI datapri, bool_t *p_dspreq);
 
 /*
@@ -154,5 +154,5 @@
  */
 extern bool_t	receive_pridata(PDQCB *p_pdqcb, intptr_t *p_data,
-											PRI *p_datapri, bool_t *p_reqdsp);
+											PRI *p_datapri, bool_t *p_dspreq);
 
 #endif /* TOPPERS_PRIDATAQ_H */
Index: /asp_wo_cfg/trunk/library/test_lib.c
===================================================================
--- /asp_wo_cfg/trunk/library/test_lib.c	(revision 61)
+++ /asp_wo_cfg/trunk/library/test_lib.c	(revision 62)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2005-2011 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -71,4 +71,13 @@
 
 /*
+ *  テストプログラムの開始
+ */
+void
+test_start(char *progname)
+{
+	syslog_1(LOG_NOTICE, "Test program: %s", progname);
+}
+
+/*
  *  システムログの出力処理
  */
Index: /asp_wo_cfg/trunk/syssvc/banner.c
===================================================================
--- /asp_wo_cfg/trunk/syssvc/banner.c	(revision 61)
+++ /asp_wo_cfg/trunk/syssvc/banner.c	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -38,5 +38,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id$
+ *  $Id$
  */
 
@@ -59,5 +59,5 @@
 "Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory\n"
 "                            Toyohashi Univ. of Technology, JAPAN\n"
-"Copyright (C) 2004-2012 by Embedded and Real-Time Systems Laboratory\n"
+"Copyright (C) 2004-2013 by Embedded and Real-Time Systems Laboratory\n"
 "            Graduate School of Information Science, Nagoya Univ., JAPAN\n"
 TARGET_COPYRIGHT;
Index: /asp_wo_cfg/trunk/syssvc/serial.c
===================================================================
--- /asp_wo_cfg/trunk/syssvc/serial.c	(revision 61)
+++ /asp_wo_cfg/trunk/syssvc/serial.c	(revision 62)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2012 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2013 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -116,4 +116,8 @@
 #endif /* TNUM_PORT >= 4 */
 
+#if TNUM_PORT >= 5
+#error Serial interface driver supports up to 4 ports.
+#endif /* TNUM_PORT >= 5 */
+
 /*
  *  フロー制御に関連する定数とマクロ
Index: /asp_wo_cfg/trunk/utils/makedep
===================================================================
--- /asp_wo_cfg/trunk/utils/makedep	(revision 61)
+++ /asp_wo_cfg/trunk/utils/makedep	(revision 62)
@@ -6,5 +6,5 @@
 #  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 #                              Toyohashi Univ. of Technology, JAPAN
-#  Copyright (C) 2004-2011 by Embedded and Real-Time Systems Laboratory
+#  Copyright (C) 2004-2013 by Embedded and Real-Time Systems Laboratory
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
@@ -130,5 +130,5 @@
 	}
 	while ($line = <INPUT>) {
-		if ($line =~ /^\#\s*([0-9]+)\s*\"([^\"]+)\"/) {
+		if ($line =~ /^\#[a-zA-Z]*\s*([0-9]+)\s*\"([^\"]+)\"/) {
 			$filename = $2;
 			$filename =~ s/ /\\ /g;
Index: /asp_wo_cfg/trunk/utils/makerelease
===================================================================
--- /asp_wo_cfg/trunk/utils/makerelease	(revision 61)
+++ /asp_wo_cfg/trunk/utils/makerelease	(revision 62)
@@ -39,5 +39,5 @@
 # 
 
-require 'getcwd.pl';
+use Cwd;
 
 $cwd = getcwd();