Index: vim_script_tf/trunk/syntax/tf.vim
===================================================================
--- vim_script_tf/trunk/syntax/tf.vim	(revision 16)
+++ vim_script_tf/trunk/syntax/tf.vim	(revision 68)
@@ -7,45 +7,30 @@
 "              Graduate School of Information Science, Nagoya Univ., JAPAN
 " 
-"  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ã(4) ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-"  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»
-"  åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-"  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½æ¨©
-"      è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼ã¹
-"      ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-"  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿ç¨
-"      ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ã
-"      ãã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿
-"      è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-"  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿ç¨
-"      ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºãããã¨ï¼
-"    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½
-"        æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-"    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«å ±
-"        åãããã¨ï¼
-"  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³
-"      ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼ã¾ãï¼
-"      æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãçç±ã«åºã¥
-"      ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+"  上記著作権者は，以下の (1)〜(4) の条件を満たす場合に限り，本ソフトウェ
+"  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改変・
+"  再配布（以下，利用と呼ぶ）することを無償で許諾する．
+"  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作権
+"      表示，この利用条件および下記の無保証規定が，そのままの形でソース
+"      コード中に含まれていること．
+"  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使用
+"      できる形で再配布する場合には，再配布に伴うドキュメント（利用者マ
+"      ニュアルなど）に，上記の著作権表示，この利用条件および下記の無保
+"      証規定を掲載すること．
+"  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使用
+"      できない形で再配布する場合には，次のいずれかの条件を満たすこと．
+"    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著作
+"        権表示，この利用条件および下記の無保証規定を掲載すること．
+"    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに報
+"        告すること．
+"  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損害
+"      からも，上記著作権者およびTOPPERSプロジェクトを免責すること．また，
+"      本ソフトウェアのユーザまたはエンドユーザからのいかなる理由に基づ
+"      く請求からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
 " 
-"  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ãã
-"  ã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®çã«å¯¾ã
-"  ãé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨
-"  ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² 
-"  ããªãï¼
+"  本ソフトウェアは，無保証で提供されているものである．上記著作権者およ
+"  びTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的に対す
+"  る適合性も含めて，いかなる保証も行わない．また，本ソフトウェアの利用
+"  により直接的または間接的に生じたいかなる損害に関しても，その責任を負
+"  わない．
 "
 "
@@ -60,22 +45,21 @@
 endif
 
-" synã§ã­ã¼ã¯ã¼ãï¼ãã¿ã¼ã³ï¼ç¯å²ã®å
-é ­ã¨çµãããç»é²ãã
-" msã¯ãã¿ã¼ã³ãããã®å§ã¾ãï¼meã¯ãã¿ã¼ã³ãããã®çµãã
-" hsã¯ãã¤ã©ã¤ãã®å§ã¾ãï¼heã¯ãã¤ã©ã¤ãã®çµãã
+" synでキーワード，パターン，範囲の先頭と終わりを登録する
+" msはパターンマッチの始まり，meはパターンマッチの終わり
+" hsはハイライトの始まり，heはハイライトの終わり
 
-" æ¬å¼§
+" 括弧
 syn match   tfParen "[()]"
 
 syn region  tfSpecialRegion start="\$" end="\$" contains=ALL
 
-" ã³ã¡ã³ã
+" コメント
 syn region  tfComment start="^\$[ \t]" end="$" 
 
-" æå­å
+" 文字列
 syn region  tfString start=+"+ skip=+\\"+ end=+"+
 syn region  tfString start=+'+ skip=+\\'+ end=+'+
 
-" å®æ°
+" 定数
 syn match   tfConstant "\$NL\$"
 syn match   tfConstant "\$SPC\$"
@@ -85,5 +69,5 @@
 syn keyword tfConstant contained RESULT
 
-" å¶å¾¡æ
+" 制御文
 syn keyword tfMacro contained FILE
 syn keyword tfMacro contained FUNCTION
@@ -100,5 +84,5 @@
 syn match   tfMacro +\$ELSE\$+hs=s+1,he=e-1
 
-" é¢æ°
+" 関数
 syn match   tfLabel contained +LENGTH(+me=e-1
 syn match   tfLabel contained +EQ(+me=e-1