Index: ssp_qb_r5f100le_cs/trunk/cfg/ja.po
===================================================================
--- ssp_qb_r5f100le_cs/trunk/cfg/ja.po	(revision 93)
+++ ssp_qb_r5f100le_cs/trunk/cfg/ja.po	(revision 95)
@@ -5,323 +5,299 @@
 #  Copyright (C) 2007-2008 by TAKAGI Nobuhisa
 # 
-#  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#      ã¨ï¼
-#    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#        å ±åãããã¨ï¼
-#  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#      å
-è²¬ãããã¨ï¼
+#  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+#  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#      スコード中に含まれていること．
+#  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#      の無保証規定を掲載すること．
+#  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#      と．
+#    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#        作権表示，この利用条件および下記の無保証規定を掲載すること．
+#    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#        報告すること．
+#  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#      免責すること．
 # 
-#  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#  ã®è²¬ä»»ãè² ããªãï¼
-
-# ãã®ãã¡ã¤ã«ã¯å¿
-ãUTF-8Nã§ä¿å­ãããã¨ã
+#  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#  の責任を負わない．
+
+# このファイルは必ずUTF-8Nで保存すること。
 
 msgid "Generic options"
-msgstr "ä¸è¬ãªãã·ã§ã³"
+msgstr "一般オプション"
 
 msgid "display this information"
-msgstr "ãã®æ
-å ±ãè¡¨ç¤ºãã"
+msgstr "この情報を表示する"
 
 msgid "display cfg version number"
-msgstr "cfgã®ãã¼ã¸ã§ã³çªå·ãè¡¨ç¤ºãã"
+msgstr "cfgのバージョン番号を表示する"
 
 msgid "Configuration"
-msgstr "è¨­å®"
+msgstr "設定"
 
 msgid "kernel type (default: asp)"
-msgstr "ã«ã¼ãã«ç¨®å¥ (æ¢å®ã§ã¯asp)"
+msgstr "カーネル種別 (既定ではasp)"
 
 msgid "run for pass #`arg\'"
-msgstr "ãã¹ #`arg\'ãå®è¡ãã"
+msgstr "パス #`arg\'を実行する"
 
 msgid "include path"
-msgstr "ã¤ã³ã¯ã«ã¼ããã¹"
+msgstr "インクルードパス"
 
 msgid "template file"
-msgstr "ä¸æãã¡ã¤ã«"
+msgstr "一時ファイル"
 
 msgid "character set of input file (default: ascii)"
-msgstr "å
-¥åãã¡ã¤ã«ã®æå­ã³ã¼ã (æ¢å®ã§ã¯ascii)"
+msgstr "入力ファイルの文字コード (既定ではascii)"
 
 msgid "specify static API table"
-msgstr "éçAPIãã¼ãã«ãæå®ãã"
+msgstr "静的APIテーブルを指定する"
 
 msgid "specify cfg1 definition table"
-msgstr "cfg1å®ç¾©ãã¼ãã«ãæå®ãã"
+msgstr "cfg1定義テーブルを指定する"
 
 msgid "specify file name instead of `cfg1_out.srec\' (default: cfg1_out)"
-msgstr "`cfg1_out.srec\'ã«ä»£ãããã¡ã¤ã«åãæå®ãã (æ¢å®ã§ã¯cfg1_out)"
+msgstr "`cfg1_out.srec\'に代わるファイル名を指定する (既定ではcfg1_out)"
 
 msgid "ROM image (S-record)"
-msgstr "ROMã¤ã¡ã¼ã¸ (Sã¬ã³ã¼ã)"
+msgstr "ROMイメージ (Sレコード)"
 
 msgid "cfg directory"
-msgstr "cfgãã£ã¬ã¯ããª"
+msgstr "cfgディレクトリ"
 
 msgid "msgcat(*.po) directory"
-msgstr "msgcat(*.po)ãã£ã¬ã¯ããª"
+msgstr "msgcat(*.po)ディレクトリ"
 
 msgid "destination directory"
-msgstr "åºåå
-ãã£ã¬ã¯ããª"
+msgstr "出力先ディレクトリ"
 
 msgid "output file for id assignment"
-msgstr "IDå²ãä»ãã®ããã®åºåãã¡ã¤ã«"
+msgstr "ID割り付けのための出力ファイル"
 
 msgid "input file for id assignment"
-msgstr "IDå²ãä»ãã®ããã®å
-¥åãã¡ã¤ã«"
+msgstr "ID割り付けのための入力ファイル"
 
 msgid "alignment of pointer to function"
-msgstr "é¢æ°ã¸ã®ãã¤ã³ã¿ã®å¢çèª¿æ´"
+msgstr "関数へのポインタの境界調整"
 
 msgid "output ID numbers as external `const\' object"
-msgstr "IDçªå·ãå¤é¨`const\'ãªãã¸ã§ã¯ãã¨ãã¦åºåãã"
+msgstr "ID番号を外部`const\'オブジェクトとして出力する"
 
 msgid "output dependencies of source file (for `make\')"
-msgstr "ã½ã¼ã¹ãã¡ã¤ã«ã®ä¾å­é¢ä¿ãåºå (`make\'ç¨)"
+msgstr "ソースファイルの依存関係を出力 (`make\'用)"
 
 msgid "Hidden options"
-msgstr "é ããªãã·ã§ã³"
+msgstr "隠しオプション"
 
 msgid "input file"
-msgstr "å
-¥åãã¡ã¤ã«"
+msgstr "入力ファイル"
 
 msgid "Allowed options"
-msgstr "æå®å¯è½ãªãªãã·ã§ã³"
+msgstr "指定可能なオプション"
 
 msgid "illegal options"
-msgstr "ä¸æ­£ãªãªãã·ã§ã³"
+msgstr "不正なオプション"
 
 msgid "illegal cfg pass #%d"
-msgstr "ä¸æ­£ãªcfgãã¹#%d"
+msgstr "不正なcfgパス#%d"
 
 msgid "unknown error"
-msgstr "ä¸æãªã¨ã©ã¼"
+msgstr "不明なエラー"
 
 msgid "internal error"
-msgstr "å
-é¨ã¨ã©ã¼"
+msgstr "内部エラー"
 
 msgid "pass # is not specified"
-msgstr "ãã¹çªå·ãæå®ããã¦ããªã"
+msgstr "パス番号が指定されていない"
 
 msgid "no input files"
-msgstr "å
-¥åãã¡ã¤ã«ãç¡ã"
+msgstr "入力ファイルが無い"
 
 msgid "id file `%1%\' is invalid"
-msgstr "IDãã¡ã¤ã«`%1%\'ãä¸æ­£"
+msgstr "IDファイル`%1%\'が不正"
 
 msgid "`%1%\' is undefined"
-msgstr "`%1%\'ãå®ç¾©ããã¦ããªã"
+msgstr "`%1%\'が定義されていない"
 
 msgid "static API `%1%\' is unknown"
-msgstr "æªç¥ã®éçAPI `%1%\'"
+msgstr "未知の静的API `%1%\'"
 
 msgid "cannot open file `%1%\'"
-msgstr "ãã¡ã¤ã«`%1%\'ããªã¼ãã³ã§ããªã"
+msgstr "ファイル`%1%\'がオープンできない"
 
 msgid "check complete"
-msgstr "ãã§ãã¯å®äº"
+msgstr "チェック完了"
 
 msgid "too few arguments for `%1%\'"
-msgstr "`%1%\'ã«å¯¾ããå®å¼æ°ãå°ãªããã"
+msgstr "`%1%\'に対する実引数が少なすぎる"
 
 msgid "too many arguments for `%1%\'"
-msgstr "`%1%\'ã«å¯¾ããå®å¼æ°ãå¤ããã"
+msgstr "`%1%\'に対する実引数が多すぎる"
 
 msgid "warning"
-msgstr "è­¦å"
+msgstr "警告"
 
 msgid "error"
-msgstr "ã¨ã©ã¼"
+msgstr "エラー"
 
 msgid "too many errors"
-msgstr "ã¨ã©ã¼ãå¤ããã"
+msgstr "エラーが多すぎる"
 
 msgid "fatal error"
-msgstr "è´å½çã¨ã©ã¼"
+msgstr "致命的エラー"
 
 msgid "I/O error"
-msgstr "I/Oã¨ã©ã¼"
+msgstr "I/Oエラー"
 
 msgid "end of line"
-msgstr "è¡æ«"
+msgstr "行末"
 
 msgid "missing `%1%\' before %2%"
-msgstr "%2%ã®åã«`%1%\'ããªã"
+msgstr "%2%の前に`%1%\'がない"
 
 msgid "non-value is referred"
-msgstr "å¤ã§ã¯ãªãã®ã«åç
-§ãããã¨ãã"
+msgstr "値ではないのに参照しようとした"
 
 msgid "`%1%\' does not have a value"
-msgstr "`%1%\'ã¯å¤ãæããªã"
+msgstr "`%1%\'は値を持たない"
 
 msgid "shift with nagative value `%1%\'"
-msgstr "è² ã®å¤`%1%\'ã«ããã·ãã"
+msgstr "負の値`%1%\'によるシフト"
 
 msgid "shift with too large value `%1%\'"
-msgstr "å¤§ããããå¤`%1%\'ã«ããã·ãã"
+msgstr "大きすぎる値`%1%\'によるシフト"
 
 msgid "negative value `%1%\' is shift"
-msgstr "è² ã®å¤`%1%\'ãã·ããããã"
+msgstr "負の値`%1%\'がシフトされた"
 
 msgid "overflow at `%1%\'"
-msgstr "`%1%\'ã§ãªã¼ãã¼ã¼ãã­ã¼"
+msgstr "`%1%\'でオーバーーフロー"
 
 msgid "devide by zero"
-msgstr "0ã«ããé¤ç®"
+msgstr "0による除算"
 
 msgid "function `%1%\' is undefined"
-msgstr "é¢æ°`%1%\'ã¯å®ç¾©ããã¦ããªã"
+msgstr "関数`%1%\'は定義されていない"
 
 msgid "illegal arithmetic sequence"
-msgstr "ä¸æ­£ãªç­å·®æ°å"
+msgstr "不正な等差数列"
 
 msgid "syntax error"
-msgstr "æ§æã¨ã©ã¼"
+msgstr "構文エラー"
 
 msgid "illegal character `%1%\' is found"
-msgstr "ä¸æ­£ãªæå­`%1%\'ãç¾ãã"
+msgstr "不正な文字`%1%\'が現れた"
 
 msgid "`#%1%\' is not supported"
-msgstr "`#%1%\'ã¯ãµãã¼ããã¦ããªã"
+msgstr "`#%1%\'はサポートしていない"
 
 msgid "`%1%\'' is illegal object identifier"
-msgstr "`%1%\'ã¯ä¸æ­£ãªãªãã¸ã§ã¯ãè­å¥å­"
+msgstr "`%1%\'は不正なオブジェクト識別子"
 
 msgid "magic number is not found in `%1%\'"
-msgstr "`%1%\'ã®ä¸­ã«ãã¸ãã¯ãã³ãã¼ãè¦ã¤ãããªã"
+msgstr "`%1%\'の中にマジックナンバーが見つからない"
 
 msgid "`%1%\' is corrupted"
-msgstr "`%1%\'ãå£ãã¦ãã"
+msgstr "`%1%\'が壊れている"
 
 msgid "E_NOEXS: `%1%\' is undefined"
-msgstr "E_NOEXS: `%1%\'ã¯å®ç¾©ããã¦ããªã"
+msgstr "E_NOEXS: `%1%\'は定義されていない"
 
 msgid "probably, %1% argument of `%2%\' is illegal"
-msgstr "ããããã%2%ã®%1%å®å¼æ°ã¯ä¸æ­£"
+msgstr "おそらく、%2%の%1%実引数は不正"
 
 msgid "1st"
-msgstr "ç¬¬1"
+msgstr "第1"
 
 msgid "2nd"
-msgstr "ç¬¬2"
+msgstr "第2"
 
 msgid "3rd"
-msgstr "ç¬¬3"
+msgstr "第3"
 
 msgid "missing token `%1%\'"
-msgstr "å­å¥`%1%\'ããªã"
+msgstr "字句`%1%\'がない"
 
 msgid "illegal token `%1%\'"
-msgstr "ä¸æ­£ãªå­å¥`%1%\'"
+msgstr "不正な字句`%1%\'"
 
 msgid "`%1%\' is duplicated"
-msgstr "`%1%\'ãéè¤ãã¦ãã"
+msgstr "`%1%\'が重複している"
 
 msgid "`%1%\' of #%2% is null pointer"
-msgstr "#%2%ã®`%1%\'ãç©ºãã¤ã³ã¿"
+msgstr "#%2%の`%1%\'が空ポインタ"
 
 msgid "`%1%\' of #%2% is not aligned on `%3%\' bytes boundary"
-msgstr "#%2%ã®`%1%\'ã%3%ãã¤ãå¢çã«æ´åãã¦ããªã"
+msgstr "#%2%の`%1%\'が%3%バイト境界に整列していない"
 
 msgid "illegal %1% `%2%\' in %3%"
-msgstr "%3%ã«ããã%1% `%2%\'ãä¸æ­£"
+msgstr "%3%における%1% `%2%\'が不正"
 
 msgid "illegal %1% `%2%\' of `%3%\' in %4%"
-msgstr "%4%ã«ããã`%3%\'ã®%1% `%2%\'ãä¸æ­£"
+msgstr "%4%における`%3%\'の%1% `%2%\'が不正"
 
 msgid "too large %1% `%2%\' of `%3%\' in %4%"
-msgstr "%4%ã«ããã`%3%\'ã®%1% `%2%\'ãå¤§ãããã"
+msgstr "%4%における`%3%\'の%1% `%2%\'が大きすぎる"
 
 msgid "illegal %1% `%2%\' of %3% `%4%\' in %5%"
-msgstr "%5%ã«ããã%3% `%4%\'ã®%1% `%2%\'ãä¸æ­£"
+msgstr "%5%における%3% `%4%\'の%1% `%2%\'が不正"
 
 msgid "%1% `%2%\' in %3% is duplicated"
-msgstr "%3%ã«ããã%1% `%2%\'ãéè¤ãã¦ãã"
+msgstr "%3%における%1% `%2%\'が重複している"
 
 msgid "%1% `%2%\' in %3% is duplicated with %4% `%5%\'"
-msgstr "%3%ã«ããã%1% `%2%\'ã%4 `%5%\'ã¨éè¤ãã¦ãã"
+msgstr "%3%における%1% `%2%\'が%4 `%5%\'と重複している"
 
 msgid "%1% `%2%\' is not configured with %3%"
-msgstr "%1% `%2%\'ã%3ã«ãã£ã¦è¨­å®ããã¦ããªã"
+msgstr "%1% `%2%\'が%3によって設定されていない"
 
 msgid "%1% `%2%\' corresponding to %3% `%4%\' is not configured with %5%"
-msgstr "%3% `%4%\'ã«å¯¾å¿ãã%1% `%2%\'ã%5ã«ãã£ã¦è¨­å®ããã¦ããªã"
+msgstr "%3% `%4%\'に対応する%1% `%2%\'が%5によって設定されていない"
 
 msgid "%1% `%2%\' configured for %3% `%4%\' is higher than %5%"
-msgstr "%3% `%4%\'ã«è¨­å®ããã¦ãã%1% `%2%\'ã%5ãããé«ã"
+msgstr "%3% `%4%\'に設定されている%1% `%2%\'が%5よりも高い"
 
 msgid "%1% `%2%\' configured for %3% `%4%\' is lower than or equal to %5%"
-msgstr "%3% `%4%\'ã«è¨­å®ããã¦ãã%1% `%2%\'ã%5ãããåããä½ã"
+msgstr "%3% `%4%\'に設定されている%1% `%2%\'が%5よりも同じか低い"
 
 msgid "too many %1%"
-msgstr "%1%ãå¤ããã"
+msgstr "%1%が多すぎる"
 
 msgid "%1% is not recommended when %2% is set to %3% in %4%"
-msgstr "%3%ã«%2%ãè¨­å®ããã¦ããå ´åã«ã¯%1%ã¨ãããã¨ã¯æ¨å¥¨ãããªã"
+msgstr "%3%に%2%が設定されている場合には%1%とすることは推奨されない"
 
 msgid "`%1%\' id numbers do not continue"
-msgstr "`%1%\' IDçªå·ãé£ç¶ãã¦ããªã"
+msgstr "`%1%\' ID番号が連続していない"
 
 msgid "object identifier `%1%\' is not used"
-msgstr "ãªãã¸ã§ã¯ãè­å¥å­ `%1%\'ã¯ä½¿ããã¦ããªã"
+msgstr "オブジェクト識別子 `%1%\'は使われていない"
 
 msgid "%1% `%2%\' of `%3%\' in %4% is not aligned"
-msgstr "%4%ã«ããã`%3%\'ã®%1% `%2%\'ãã¢ã©ã¤ã³ãã¦ããªã"
+msgstr "%4%における`%3%\'の%1% `%2%\'がアラインしていない"
 
 msgid "%1% `%2%\' of `%3%\' in %4% is null"
-msgstr "%4%ã«ããã`%3%\'ã®%1% `%2%\'ãNULLã§ãã"
+msgstr "%4%における`%3%\'の%1% `%2%\'がNULLである"
 
 msgid "%1% `%2%\' in %3% is not aligned"
-msgstr "%3%ã«ããã%1% `%2%\'ãã¢ã©ã¤ã³ãã¦ããªã"
+msgstr "%3%における%1% `%2%\'がアラインしていない"
 
 msgid "%1% `%2%\' in %3% is null"
-msgstr "%3%ã«ããã%1% `%2%\'ãNULLã§ãã"
+msgstr "%3%における%1% `%2%\'がNULLである"
 
 msgid "no body of %1%"
-msgstr "%1%ã®æ¬ä½ããªã"
+msgstr "%1%の本体がない"
 
 msgid "E_OBJ: `%1%\' is duplicated"
-msgstr "E_OBJ: `%1%\'ãéè¤ãã¦ãã"
+msgstr "E_OBJ: `%1%\'が重複している"