Index: /CROS-TOOL-VMWARE-IMG/イメージファイルの説明.txt
===================================================================
--- /CROS-TOOL-VMWARE-IMG/イメージファイルの説明.txt	(revision 96)
+++ /CROS-TOOL-VMWARE-IMG/イメージファイルの説明.txt	(revision 96)
@@ -0,0 +1,138 @@
+ºLÅ·ªAVMWAREC[WÍAºL@4.2ÜÅÀ{µ½àÌÉÈèÜ·B
+i@ubuntu14.04 32bitÅÉÄj
+TECSðrh·éÉÍA4.3©çÀ{¢½¾¯éÆv¢Ü·B
+
+2015.6.2 ACurW\tgEFA®ïÐ@ûü´
+----------------------------------------------------------------
+
+1.ÎÛpbP[W
+@mruby-on-asp+tecs_for_ev3_package-141118.tar.gz
+  Å·B@±êÍÇ±©ÉöJ³êÄ¢é©Ç¤©æ­í©èÜ¹ñB
+@Æè ¦¸±êÅ·Æ¢¤±ÆÅRs[ðn³êÜµ½B
+
+2.Â«
+@Windows8.1 64bit
+  Vmware6.05
+  ubuntu12.04 32bit (ubuntu japanese TeamªzzµÄ¢éàÌj
+
+ÇÁÅmFµ½Â«
+@ubuntu14.04 32bitÅ
+
+3.¼ÉKvÈàÌ
+@TOPPERSÌRtBO[^@linux 32p
+https://www.toppers.jp/download.cgi/cfg-mingw-static-1_9_4.zip
+  microSDJ[h@FATtH[}bg
+
+ù³
+> @TOPPERSÌRtBO[^@linux 32p
+> https://www.toppers.jp/download.cgi/cfg-mingw-static-1_9_4.zip
+--> ³µ­Í@https://www.toppers.jp/download.cgi/cfg-linux-static-1_9_4.gz
+
+
+4.è
+4.1.armc[`F[Ì\z
+http://dev.toppers.jp/trac_user/ev3pf/wiki/DevEnvLinux
+ðx[XÉ\zµÜ·@ªAubuntu12.04ÍàÌªÃ¢ÌÅ»ÌÜÜÅ«Ü¹ñ
+
+»êÅ
+$ sudo apt-get remove binutils-arm-none-eabi gcc-arm-none-eabi
+$ sudo add-apt-repository ppa:terry.guo/gcc-arm-embedded
+$ sudo apt-get update
+
+±±ÜÅÍ¯¶
+
+Èº
+$ sudo apt-get install gcc-arm-none-eabi=4.9.3.2014q4-0trusty12 u-boot-tools libboost1.55-all-dev
+±êð
+$ sudo apt-get install gcc-arm-none-eabi u-boot-tools libboost1.46-all-dev
+Éµ½çACXg[ÍÅ«Üµ½B@o[WÌâèª é©àµêÜ¹ñB
+
+Ubuntu1404 x86ÅÍ
+RpCÌCXg[ÍÈºÅÀ{
+ $ sudo apt-get install gcc-arm-none-eabi u-boot-tools libboost1.55-all-dev
+ 
+4.2.c[`F[ÈOÌc[ÌCXg[
+@ruby Æ@bison ðüêÜ·
+#sudo apt-get install ruby bison
+Å¢¯½Æv¢Ü·B
+
+4.3.mruby{ÌÌrh
+@ðpbP[WÌ[gðÈº@HOMEÆLÚµÜ·B
+@cd HOME/mruby
+  make
+  ÅmakeµÜ·B
+
+4.4. RtBM
+[^ðTOPPERSz[y[W©çÁÄ«Ü·
+@@HOME/asp+tecs/cfg/cfg ÌfBNgÉ@cfgðu«Ü·
+@@tpXÍ@HOME/asp+tecs/cfg/cfg/cfg ÉÈèÜ·B
+
+4.5. TvÌMakefileC³
+@TvÍÈºÌfBNgÉ¡ èÜ·B
+@@HOME/asp+tecs/ev3_samples
+    ¡ñÍ
+@@HOME/asp+tecs/ev3_samples/mruby_linetrace
+    ÆµÜµ½B
+@»ÌfBNgÌMakefileðgeneraterðlinuxpÉRgðÏXµÜ·B
+@125sÚ®ç¢ÅAÈºÌæ¤ÉµÜ·B
+#
+#  TECSC^tF[XWFl[^ÖWÌè`
+#
+#TECSGEN = $(SRCDIR)/../bin/tecsgen.exe  -k euc 
+
+#tecsgen.rb (ruby + racc)ðp·éêÍºLÌRUBYLIBÆTECSGENÌè`ðp·é
+RUBYLIB = $(SRCDIR)/../tecsgen/tecsgen
+TECSGEN =$(RUBY) $(SRCDIR)/../tecsgen/tecsgen/tecsgen.rb -L $(RUBYLIB)
+
+	1sRgAEgA2sRg©ç
+
+4.6 rhÌÀs
+@#make tecs
+ ÅtecsÌWFl[^ª®­»¤Å·B
+@»Ìã
+@#make
+  ÅB@asp.bin ÜÅÅ«½çnj@ÅãÈºÌæ¤ÉG[ÉÈèÜ·B
+
+../../../bin/mkimage.exe -A arm -O linux -T kernel -C none -a 0xc0008000 -e 0xc0008000 -n "TOPPERS/ASP Kernel with TECS(EV3)" -d asp.bin uImage
+../../../bin/mkimage.exe: 1: ../../../bin/mkimage.exe: à¶Î¯: not found
+../../../bin/mkimage.exe: 2: ../../../bin/mkimage.exe: Syntax error: newline unexpected
+make: *** [uImage] G[ 2
+
+4.7 WindowsÌR}hvvgÅuImageðì¬
+@@mkimage.exeªWindowsÌvOÈÌÅAWindowsÉRs[µÄÀsµÜ·B
+@@asp.binàí¹ÄAWindowsÉRs[µÜ·B
+
+
+D:\usr\share\WK\TECS>mkimage.exe -A arm -O linux -T kernel -C none -a 0xc0008000
+ -e 0xc0008000 -n "TOPPERS/ASP Kernel with TECS(EV3)" -d asp.bin uImage
+Image Name:   TOPPERS/ASP Kernel with TECS(EV3
+Created:      Mon Mar 23 23:01:54 2015
+Image Type:   ARM Linux Kernel Image (uncompressed)
+Data Size:    417016 Bytes = 407.24 kB = 0.40 MB
+Load Address: c0008000
+Entry Point:  c0008000
+
+D:\usr\share\WK\TECS>dir
+ hCu D Ì{
+[ xÍ {
+[ Å·
+ {
+[ VAÔÍ 364F-86A5 Å·
+
+ D:\usr\share\WK\TECS ÌfBNg
+
+2015/03/23  23:01    <DIR>          .
+2015/03/23  23:01    <DIR>          ..
+2015/03/22  16:22           417,016 asp.bin
+2014/11/17  21:34            44,544 mkimage.exe
+2015/03/23  23:01           417,080 uImage
+               3 ÂÌt@C             878,640 oCg
+               2 ÂÌfBNg  371,264,856,064 oCgÌó«Ìæ
+
+D:\usr\share\WK\TECS>
+
+ÆÈÁ½çOKÈÍ¸Å·B
+uImageð@microSDÉRs[·êÎ¢¢Í¸Å·B
+±ÌæÍAEV3ªÈ¢ÌÅ¹Ä¢Ü¹ñB
+
+ 