Index: /uKadecot/trunk/Readme.txt
===================================================================
--- /uKadecot/trunk/Readme.txt	(revision 101)
+++ /uKadecot/trunk/Readme.txt	(revision 102)
@@ -1,21 +1,23 @@
 
-	TOPPERS/ECNLiRelease 1.1.aj
+	TOPPERS/uKadecotiRelease 1.0.0j
 		TOPPERS ECHONET Lite Communication Middleware
+		Sample Application for WebApp Contoller
 
 yÍ¶ßÉz
 
-TOPPERS/ECNLÍCECHONET LiteÌ@íü¯ÊM~hEFAÅ·D
-Rg[ÎÌöJOÌÅðgpµCKadecot APIðÀµ½ÆdT[oÌ
-TvvOÅ·D
+TOPPERS/uKadecotÍCECHONET LiteÌ@íü¯ÊM~hEFATOPPERS/ECNL
+ÌCöJOÌRg[ÎÌÅðgpµCKadecot APIðªÀµ½Æ
+dT[oÌTvvOÅ·D
 TOPPERS/ECNLÉÂ¢ÄÍÈºÌWeby[Wð¨ÇÝ­¾³¢D
 
 	https://www.toppers.jp/ecnl.html
 
-±ÌÅÅÍCTOPPERS/ASP{TINETÅÍÈ­CTOPPERS/SSP{uIPðgpµÄ¢Ü·D
+±ÌÅÅÍCTOPPERS/ASP{TINETÅÍÈ­CTOPPERS/SSP{uIPðgpµÄ¢Ü
+·D
 
 ypðz
 
-TOPPERS/ECNLÌpðÍCet@CÌæªÉ\¦³êÄ¢éTOPPERSCZ
-XÅ·DTOPPERSCZXÉÖ·éFAQªCÈºÌy[WÉ èÜ·D
+TOPPERS/uKadecotÌpðÍCet@CÌæªÉ\¦³êÄ¢éTOPPERS
+CZXÅ·DTOPPERSCZXÉÖ·éFAQªCÈºÌy[WÉ èÜ·D
 
 	http://www.toppers.jp/faq/faq_ct12.html
@@ -29,4 +31,6 @@
 EPetit FAT File System ModuleFWebT[opt@CVXe
 	http://elm-chan.org/fsw/ff/00index_p.html
+Ehttp-parserFHTTPp[T[
+	https://github.com/joyent/http-parser
 Emod_websocketFWebSocketibase64,sha1ðgpj
 	https://github.com/nori0428/mod_websocket
@@ -37,6 +41,10 @@
 EjQuery Mobile
 	http://jquerymobile.com
+EjQueryMobile - DateBox
+	http://dev.jtsage.com/jQM-DateBox/
 ESaltarelle C# to JavaScript Compiler
 	http://www.saltarelle-compiler.com
+Elinq.js - LINQ for JavaScript
+	http://linqjs.codeplex.com/
 EUnitypKadecot WAMPCu
 	http://kadecot.net/blog/2842/
@@ -45,7 +53,22 @@
 [^TCGX¤Ì¤WÅ·D
 
+Ü½CÀst@Cì¬Égp·éc[ÉÍCÈºÌ\tgEFAðÜñÅ
+¢Ü·D
+
+EDynamicJson
+	http://dynamicjson.codeplex.com/
+EFatFs - Generic FAT File System Module
+	http://elm-chan.org/fsw/ff/00index_e.html
+Ezlib
+	http://zlib.net/
+EJSMinFThe JavaScript Minifier
+	http://www.crockford.com/javascript/jsmin.html
+ESRecord
+	http://srecord.sourceforge.net/
+
 yRpCû@z
 
 GR-SAKURAÌÀst@CÌRpCÉCRenesas CubeSuite+ðgpµÜ·D
+c[ÌRpCÉÍCVisual Studio 2012È~ðgpµÜ·D
 AvP[VÆCKadecotÅgp·é¼Ìe[uCWebAvP[V
 Ìt@CVXeÌCRÂÌt@CðµÄC«ÝC[Wðì¬
@@ -72,9 +95,31 @@
 ¨httpd-fs.bin
 
-ERÂÌt@Ciukadecot.mod, httpd-fs.bin, kadecot_names.binjð
+EKadecot APIp¼Ìe[uì¬c[ÌRpCCÀs
+	tools\KadecotNames\KadecotNames.sln
+¨KadecotNames.bin
+
+EKadecot APIp¼Ìe[uÌRs[
+	tools\KadecotNames\copy_kadecot_names.bat
+¨kadecot_names.bin
+
+ERÂÌt@Ciukadecot.mod,httpd-fs.bin,kadecot_names.binjð
 	csp\flash\ukadecot_cat.bat
 ¨ukadecot_YYMMDDhhmmss.mod
 
-ÅãÌuukadecot_YYMMDDhhmmss.modvªCGR-SAKURAÖÌ«ÝC[WÉÈ
+ÅãÌuukadecot_YYMMDDhhmmss.modvªCGR-SAKURAÖÌ«ÝC[WÉ
+ÈèÜ·D
+eèÍÏXµ½Æ±ë¾¯ÀsµCÅãÌèðs¦ÎC«ÝC[W
+ðì¬·é±ÆªoÜ·D
+
+Rg[WebAvP[VÅÍCNuGetpbP[WðgpµÄ¢Ü·ªC
+ÜÜêÄ¢Ü¹ñDVisual Studio 2012ÅÍCrhÉ_E[h³êÜ
+¹ñÌÅCÈºÌìðsÁÄ­¾³¢D
+Visual StudioÅuEcnlControllerUI.slnvðJ«Cu\
+[V GNX
+v[[vÌu\
+[V 'EcnlControllerUI'vðENbNµÄC
+uNuGet pbP[WÌ³ÌLø»vðIðµC\¦³ê½_CAOÅOKð
+µÜ·D
+Ýèª®¹·éÆCrhÉNuGetpbP[Wª_E[h³êéæ¤ÉÈ
 èÜ·D
 
Index: /uKadecot/trunk/tools/EcnlControllerUI/EcnlCtrlUI/Web.config
===================================================================
--- /uKadecot/trunk/tools/EcnlControllerUI/EcnlCtrlUI/Web.config	(revision 101)
+++ /uKadecot/trunk/tools/EcnlControllerUI/EcnlCtrlUI/Web.config	(revision 102)
@@ -13,5 +13,5 @@
        <files>
            <clear/>
-           <add value="controller.html"/>
+           <add value="index.html"/>
        </files>
     </defaultDocument>
Index: /uKadecot/trunk/tools/EcnlControllerUI/EcnlCtrlUI/information.json
===================================================================
--- /uKadecot/trunk/tools/EcnlControllerUI/EcnlCtrlUI/information.json	(revision 101)
+++ /uKadecot/trunk/tools/EcnlControllerUI/EcnlCtrlUI/information.json	(revision 102)
@@ -4,4 +4,35 @@
 		"version": "1.A.0 Î±ç",
 		"note": "APPENDIX ECHONETæ©å¨ãªãã¸ã§ã¯ãè©³ç´°è¦å® Release C"
+	},
+	{
+		"title": "Unityç¨Kadecot WAMPã©ã¤ãã©ãª",
+		"version": "2014/11/28ç",
+		"link": "http://kadecot.net/blog/2842/",
+		"note": "ãKadecotãã¯æ ªå¼ä¼ç¤¾ã½ãã¼ã³ã³ãã¥ã¼ã¿ãµã¤ã¨ã³ã¹ç ç©¶æã®åæ¨ã§ãã"
+	},
+	{
+		"title": "uIP",
+		"version": "1.0",
+		"link": "https://github.com/adamdunkels/uip"
+	},
+	{
+		"title": "Petit FAT File System Module",
+		"version": "R0.03",
+		"link": "http://elm-chan.org/fsw/ff/00index_p.html"
+	},
+	{
+		"title": "http-parser",
+		"version": "(2015/1/14 master)",
+		"link": "https://github.com/joyent/http-parser"
+	},
+	{
+		"title": "mod_websocketï¼base64,sha1ãä½¿ç¨ï¼",
+		"version": "(2013/1/13 master)",
+		"link": "https://github.com/nori0428/mod_websocket"
+	},
+	{
+		"title": "JSONSL",
+		"version": "(2015/3/11 master)",
+		"link": "https://github.com/mnunberg/jsonsl"
 	},
 	{
@@ -16,4 +47,9 @@
 	},
 	{
+		"title": "jQueryMobile - DateBox",
+		"version": "1.4.5",
+		"link": "http://dev.jtsage.com/jQM-DateBox/"
+	},
+	{
 		"title": "Saltarelle C# to JavaScript Compiler",
 		"version": "2.6.2",
@@ -21,8 +57,7 @@
 	},
 	{
-		"title": "Unityç¨Kadecot WAMPã©ã¤ãã©ãª",
-		"version": "2014/11/28ç",
-		"link": "http://kadecot.net/blog/2842/",
-		"note": "ãKadecotãã¯æ ªå¼ä¼ç¤¾ã½ãã¼ã³ã³ãã¥ã¼ã¿ãµã¤ã¨ã³ã¹ç ç©¶æã®åæ¨ã§ãã"
+		"title": "linq.js - LINQ for JavaScript",
+		"version": "3.0.3-Beta4 (Oct. 9th, 2012)",
+		"link": "http://linqjs.codeplex.com/"
 	}
 ]
Index: /uKadecot/trunk/tools/KadecotNames/copy_kadecot_names.bat
===================================================================
--- /uKadecot/trunk/tools/KadecotNames/copy_kadecot_names.bat	(revision 102)
+++ /uKadecot/trunk/tools/KadecotNames/copy_kadecot_names.bat	(revision 102)
@@ -0,0 +1,3 @@
+
+copy /Y KadecotNames\bin\Debug\KadecotNames.bin ..\..\kadecot\kadecot_names.bin
+
Index: adecot/trunk/tools/zlib/ReadMe.txt
===================================================================
--- /uKadecot/trunk/tools/zlib/ReadMe.txt	(revision 101)
+++ 	(revision )
@@ -1,21 +1,0 @@
-﻿========================================================================
-    スタティック ライブラリ: zlib プロジェクトの概要
-========================================================================
-
-この zlib ライブラリ プロジェクトは、AppWizard により作成されました。
-
-ソース ファイルはプロジェクトの一部として作成されませんでした。
-
-
-zlib.vcxproj
-    これは、アプリケーション ウィザードを使用して生成された VC++ プロジェクトのメイン プロジェクト ファイルです。ファイルを生成した Visual C++ のバージョンに関する情報と、アプリケーション ウィザードで選択されたプラットフォーム、構成、およびプロジェクト機能に関する情報が含まれています。
-
-zlib.vcxproj.filters
-    これは、アプリケーション ウィザードで生成された VC++ プロジェクトのフィルター ファイルです。このファイルには、プロジェクト内のファイルとフィルターとの間の関連付けに関する情報が含まれています。この関連付けは、特定のノードで同様の拡張子を持つファイルのグループ化を示すために IDE で使用されます (たとえば、".cpp" ファイルは "ソース ファイル" フィルターに関連付けられています)。
-
-/////////////////////////////////////////////////////////////////////////////
-その他のメモ :
-
-AppWizard では "TODO:" コメントを使用して、ユーザーが追加またはカスタマイズする必要のあるソース コードを示します。
-
-/////////////////////////////////////////////////////////////////////////////