Index: /uKadecot/trunk/Readme.txt
===================================================================
--- /uKadecot/trunk/Readme.txt	(revision 103)
+++ /uKadecot/trunk/Readme.txt	(revision 104)
@@ -1,147 +1,144 @@
-
-	TOPPERS/uKadecotiRelease 1.0.0j
+﻿
+	TOPPERS/uKadecot（Release 1.0.0）
 		TOPPERS ECHONET Lite Communication Middleware
 		Sample Application for WebApp Contoller
 
-yÍ¶ßÉz
+【はじめに】
 
-TOPPERS/uKadecotÍCECHONET LiteÌ@íü¯ÊM~hEFATOPPERS/ECNL
-ÌCöJOÌRg[ÎÌÅðgpµCKadecot APIðªÀµ½Æ
-dT[oÌTvvOÅ·D
-TOPPERS/ECNLÉÂ¢ÄÍÈºÌWeby[Wð¨ÇÝ­¾³¢D
+TOPPERS/uKadecotは，ECHONET Liteの機器向け通信ミドルウェアTOPPERS/ECNL
+の，公開前のコントローラ対応中の版を使用し，Kadecot APIを部分実装した家
+電サーバのサンプルプログラムです．
+TOPPERS/ECNLについては以下のWebページをお読みください．
 
 	https://www.toppers.jp/ecnl.html
 
-±ÌÅÅÍCTOPPERS/ASP{TINETÅÍÈ­CTOPPERS/SSP{uIPðgpµÄ¢Ü
-·D
+この版では，TOPPERS/ASP＋TINETではなく，TOPPERS/SSP＋uIPを使用していま
+す．
 
-KadecotÉÂ¢ÄÍÈºÌWeby[Wð¨ÇÝ­¾³¢D
+Kadecotについては以下のWebページをお読みください．
 
 	http://kadecot.net/
 
-uKadecotvÍ®ïÐ\j[Rs
-[^TCGX¤Ì¤WÅ·D
+「Kadecot」は株式会社ソニーコンピュータサイエンス研究所の商標です．
 
-GR-SAKURAÖÌ«ÝC[WÌt@CÍÈºÌtH_É èÜ·D
+GR-SAKURAへの書き込みイメージのファイルは以下のフォルダにあります．
 
 	csp\flash\ukadecot_20150603105310.mot
 
-ypðz
+【利用条件】
 
-TOPPERS/uKadecotÌpðÍCet@CÌæªÉ\¦³êÄ¢éTOPPERS
-CZXÅ·DTOPPERSCZXÉÖ·éFAQªCÈºÌy[WÉ èÜ·D
+TOPPERS/uKadecotの利用条件は，各ファイルの先頭に表示されているTOPPERSラ
+イセンスです．TOPPERSライセンスに関するFAQが，以下のページにあります．
 
 	http://www.toppers.jp/faq/faq_ct12.html
 
-±ÌpbP[WÉÍCTvvOÉKvÈTOPPERS/SSPÌ¼CÈºÌ\
-tgEFAªÜÜêÄ¨èCgp·éêÍ»ê¼êÌpðÉ]ÁÄ­¾
-³¢D
+このパッケージには，サンプルプログラムに必要なTOPPERS/SSPの他，以下のソ
+フトウェアが含まれており，使用する場合はそれぞれの利用条件に従ってくだ
+さい．
 
-EuIPFIPX^bN
+・uIP：IPスタック
 	https://github.com/adamdunkels/uip
-EPetit FAT File System ModuleFWebT[opt@CVXe
+・Petit FAT File System Module：Webサーバ用ファイルシステム
 	http://elm-chan.org/fsw/ff/00index_p.html
-Ehttp-parserFHTTPp[T[
+・http-parser：HTTPパーサー
 	https://github.com/joyent/http-parser
-Emod_websocketFWebSocketibase64,sha1ðgpj
+・mod_websocket：WebSocket（base64,sha1を使用）
 	https://github.com/nori0428/mod_websocket
-EJSONSLFJSONp[T[
+・JSONSL：JSONパーサー
 	https://github.com/mnunberg/jsonsl
-EjQuery
+・jQuery
 	http://jquery.com
-EjQuery Mobile
+・jQuery Mobile
 	http://jquerymobile.com
-EjQueryMobile - DateBox
+・jQueryMobile - DateBox
 	http://dev.jtsage.com/jQM-DateBox/
-ESaltarelle C# to JavaScript Compiler
+・Saltarelle C# to JavaScript Compiler
 	http://www.saltarelle-compiler.com
-Elinq.js - LINQ for JavaScript
+・linq.js - LINQ for JavaScript
 	http://linqjs.codeplex.com/
-EUnitypKadecot WAMPCu
+・Unity用Kadecot WAMPライブラリ
 	http://kadecot.net/blog/2842/
 
-Ü½CÀst@Cì¬Égp·éc[ÉÍCÈºÌ\tgEFAðÜñÅ
-¢Ü·D
+また，実行ファイル作成に使用するツールには，以下のソフトウェアを含んで
+います．
 
-EDynamicJson
+・DynamicJson
 	http://dynamicjson.codeplex.com/
-EFatFs - Generic FAT File System Module
+・FatFs - Generic FAT File System Module
 	http://elm-chan.org/fsw/ff/00index_e.html
-Ezlib
+・zlib
 	http://zlib.net/
-EJSMinFThe JavaScript Minifier
+・JSMin：The JavaScript Minifier
 	http://www.crockford.com/javascript/jsmin.html
-ESRecord
+・SRecord
 	http://srecord.sourceforge.net/
 
-yRpCû@z
+【コンパイル方法】
 
-GR-SAKURAÌÀst@CÌRpCÉCRenesas CubeSuite+ðgpµÜ·D
-c[ÌRpCÉÍCVisual Studio 2012È~ðgpµÜ·D
-AvP[VÆCKadecotÅgp·é¼Ìe[uCWebAvP[V
-Ìt@CVXeÌCRÂÌt@CðµÄC«ÝC[Wðì¬
-µÜ·D
+GR-SAKURAの実行ファイルのコンパイルに，Renesas CubeSuite+を使用します．
+ツールのコンパイルには，Visual Studio 2012以降を使用します．
+アプリケーションと，Kadecotで使用する名称テーブル，Webアプリケーション
+のファイルシステムの，３つのファイルを結合して，書き込みイメージを作成
+します．
 
-ETOPPERS/SSPCuÌRpC
+・TOPPERS/SSPライブラリのコンパイル
 	csp\libssp\libssp.mtpj
-¨libssp.a
+→libssp.a
 
-EAvP[VÌRpC
+・アプリケーションのコンパイル
 	csp\ukadecot\ukadecot.mtpj
-¨ukadecot.mod
+→ukadecot.mod
 
-ERg[WebAvP[VÌRpC
+・コントローラWebアプリケーションのコンパイル
 	tools\EcnlControllerUI\EcnlControllerUI.sln
-¨ctrlui.js
+→ctrlui.js
 
-EWebAvP[VÌRs[/minify
+・Webアプリケーションのコピー/minify
 	tools\EcnlControllerUI\EcnlCtrlUI\copy_httpd-fs.bat
-¨httpd-fs\*
+→httpd-fs\*
 
-EWebAvP[VÌt@CVXe»
+・Webアプリケーションのファイルシステム化
 	uip\apps\webserver\makefsdata.exe
-¨httpd-fs.bin
+→httpd-fs.bin
 
-EKadecot APIp¼Ìe[uì¬c[ÌRpCCÀs
+・Kadecot API用名称テーブル作成ツールのコンパイル，実行
 	tools\KadecotNames\KadecotNames.sln
-¨KadecotNames.bin
+→KadecotNames.bin
 
-EKadecot APIp¼Ìe[uÌRs[
+・Kadecot API用名称テーブルのコピー
 	tools\KadecotNames\copy_kadecot_names.bat
-¨kadecot_names.bin
+→kadecot_names.bin
 
-ERÂÌt@Ciukadecot.mod,httpd-fs.bin,kadecot_names.binjð
+・３つのファイル（ukadecot.mod,httpd-fs.bin,kadecot_names.bin）を結合
 	csp\flash\ukadecot_cat.bat
-¨ukadecot_YYMMDDhhmmss.mod
+→ukadecot_YYMMDDhhmmss.mod
 
-ÅãÌuukadecot_YYMMDDhhmmss.modvªCGR-SAKURAÖÌ«ÝC[WÉ
-ÈèÜ·D
-eèÍÏXµ½Æ±ë¾¯ÀsµCÅãÌèðs¦ÎC«ÝC[W
-ðì¬·é±ÆªoÜ·D
+最後の「ukadecot_YYMMDDhhmmss.mod」が，GR-SAKURAへの書き込みイメージに
+なります．
+各手順は変更したところだけ実行し，最後の手順を行えば，書き込みイメージ
+を作成することが出来ます．
 
-Rg[WebAvP[VÅÍCNuGetpbP[WðgpµÄ¢Ü·ªC
-ÜÜêÄ¢Ü¹ñDVisual Studio 2012ÅÍCrhÉ_E[h³êÜ
-¹ñÌÅCÈºÌìðsÁÄ­¾³¢D
-Visual StudioÅuEcnlControllerUI.slnvðJ«Cu\
-[V GNX
-v[[vÌu\
-[V 'EcnlControllerUI'vðENbNµÄC
-uNuGet pbP[WÌ³ÌLø»vðIðµC\¦³ê½_CAOÅOKð
-µÜ·D
-Ýèª®¹·éÆCrhÉNuGetpbP[Wª_E[h³êéæ¤ÉÈ
-èÜ·D
+コントローラWebアプリケーションでは，NuGetパッケージを使用していますが，
+含まれていません．Visual Studio 2012では，ビルド時にダウンロードされま
+せんので，以下の操作を行ってください．
+Visual Studioで「EcnlControllerUI.sln」を開き，「ソリューション エクス
+プローラー」の「ソリューション 'EcnlControllerUI'」を右クリックして，
+「NuGet パッケージの復元の有効化」を選択し，表示されたダイアログでOKを
+押します．
+設定が完了すると，ビルド時にNuGetパッケージがダウンロードされるようにな
+ります．
 
-y¿âEoO|[gEÓ©Ìtæz
+【質問・バグレポート・意見等の送付先】
 
-TOPPERS/ECNLðæèÇ¢àÌÉ·é½ßÌ²Ó©ð½}µÜ·DTOPPERS/ECNL
-ÉÖ·é¿ââoO|[gC²Ó©ÍCTOPPERSvWFNgÌïõÍ
-TOPPERSJ­Ò[OXgidev@toppers.jpj¶Ü½ÍTOPPERS/ECNLÌo
-OgbLOVXeiTracjÉC»Ì¼ÌûÍTOPPERS[U[Y[
-OXgiusers@toppers.jpj¶É¨è¢µÜ·D
+TOPPERS/ECNLをより良いものにするためのご意見等を歓迎します．TOPPERS/ECNL
+に関する質問やバグレポート，ご意見等は，TOPPERSプロジェクトの会員は
+TOPPERS開発者メーリングリスト（dev@toppers.jp）宛またはTOPPERS/ECNLのバ
+グトラッキングシステム（Trac）に，その他の方はTOPPERSユーザーズメーリン
+グリスト（users@toppers.jp）宛にお願いします．
 
-TOPPERS[U[Y[OXgÖÌo^û@ÉÂ¢ÄÍCÈºÌy[WÉ
-à¾ª èÜ·D
+TOPPERSユーザーズメーリングリストへの登録方法については，以下のページに
+説明があります．
 
 	http://www.toppers.jp/community.html
 
-Èã
+以上