Index: uKadecot/trunk/ssp/pdic/rx600/rx630_uart.c
===================================================================
--- uKadecot/trunk/ssp/pdic/rx600/rx630_uart.c	(revision 101)
+++ uKadecot/trunk/ssp/pdic/rx600/rx630_uart.c	(revision 107)
@@ -6,36 +6,32 @@
  *  Copyright (C) 2013      by Mitsuhiro Matsuura
  * 
- *  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
- *  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
- *  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
- *  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
- *       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
- *      XR[hÉÜÜêÄ¢é±ÆD
- *  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
- *      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
- *      Ì³ÛØKèðfÚ·é±ÆD
- *  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
- *      ÆD
- *    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
- *        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
- *    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
- *        ñ·é±ÆD
- *  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
- *      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
- *      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
- *      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
- *      ÆÓ·é±ÆD
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
- *  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
- *  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
- *  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
- *  ÌÓCðíÈ¢D
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
@@ -43,5 +39,5 @@
 
 /*
- * UARTp ÈÕSIOhCo
+ * UART用 簡易SIOドライバ
  */
 
@@ -52,5 +48,5 @@
 #include "rx630_uart.h"
 
-/* VA[hWX^iSMR) */
+/* シリアルモードレジスタ（SMR) */
 #define CKS			UINT_C(0x03)
 #define STOP		UINT_C(0x08)
@@ -62,5 +58,5 @@
 #define ASYNC_8BIT	UINT_C(0x40)
 
-/* VARg[WX^iSCR) */
+/* シリアルコントロールレジスタ（SCR) */
 #define CKE			UINT_C(0x03)
 #define TEIE		UINT_C(0x04)
@@ -70,5 +66,5 @@
 #define TIE			UINT_C(0x80)
 
-/* VAXe[^XWX^iSSRj */
+/* シリアルステータスレジスタ（SSR） */
 #define TEND		UINT_C(0x04)
 #define PER			UINT_C(0x08)
@@ -76,5 +72,5 @@
 #define ORER		UINT_C(0x20)
 
-/* VAg£[hWX^iSEMR) */
+/* シリアル拡張モードレジスタ（SEMR) */
 #define ACS0		UINT_C(0x01)
 #define ABCS		UINT_C(0x10)
@@ -84,44 +80,43 @@
 
 /*
- *  VAI/O|[gú»ubNÌè`
+ *  シリアルI/Oポート初期化ブロックの定義
  */
 typedef struct sio_port_initialization_block {
-	volatile uint8_t	*ctlreg;		/* VARg[WX^iSCR) */
-	volatile uint8_t	*modereg;		/* VA[hWX^iSMR) */
-	volatile uint8_t	*extmodereg;	/* VAg£[hWX^iSEMR) */	
-	volatile uint8_t	*statusreg;		/* VAXe[^XWX^iSSRj */
-	volatile uint8_t	*tdreg;			/* gX~bgf[^WX^iTDR)*/
-	volatile uint8_t	*rdreg;			/* V[uf[^WX^iRDR) */
-	volatile uint8_t	*bitratereg;	/* rbg[gWX^iBRR) */
-	volatile uint32_t	*mstpcrreg;		/* W
-[XgbvRg[WX^iMSTPCRj */
-	volatile uint8_t	*ssrreg;		/* Xe[^XWX^ */
-	volatile uint8_t	*rxiirreg;		/* RXIpÝvWX^ */
-	uint8_t				tx_intno;		/* Mif[^GveBjèÝÔ */
-	uint8_t				rx_intno;		/* óMif[^tjèÝÔ */
-	uint8_t				te_intno;		/* MiI¹jèÝÔ */
-	uint8_t				sci_no;			/* SCIÌÔ(SCI0`SCI6) */
-	uint32_t			mstpcr_offset;	/* MSTPCRÌÎ·érbgItZbg */
+	volatile uint8_t	*ctlreg;		/* シリアルコントロールレジスタ（SCR) */
+	volatile uint8_t	*modereg;		/* シリアルモードレジスタ（SMR) */
+	volatile uint8_t	*extmodereg;	/* シリアル拡張モードレジスタ（SEMR) */	
+	volatile uint8_t	*statusreg;		/* シリアルステータスレジスタ（SSR） */
+	volatile uint8_t	*tdreg;			/* トランスミットデータレジスタ（TDR)*/
+	volatile uint8_t	*rdreg;			/* レシーブデータレジスタ（RDR) */
+	volatile uint8_t	*bitratereg;	/* ビットレートレジスタ（BRR) */
+	volatile uint32_t	*mstpcrreg;		/* モジュールストップコントロールレジスタ（MSTPCR） */
+	volatile uint8_t	*ssrreg;		/* ステータスレジスタ */
+	volatile uint8_t	*rxiirreg;		/* RXI用割込み要求レジスタ */
+	uint8_t				tx_intno;		/* 送信（データエンプティ）割り込み番号 */
+	uint8_t				rx_intno;		/* 受信（データフル）割り込み番号 */
+	uint8_t				te_intno;		/* 送信（終了）割り込み番号 */
+	uint8_t				sci_no;			/* SCIの番号(SCI0〜SCI6) */
+	uint32_t			mstpcr_offset;	/* MSTPCRの対応するビットオフセット */
 } SIOPINIB;
 
 /*
- *  VAI/O|[gÇubNÌè`
+ *  シリアルI/Oポート管理ブロックの定義
  */
 struct sio_port_control_block {
-	const SIOPINIB	*p_siopinib; 				/* VAI/O|[gú»ubN */
-	intptr_t 	exinf;			 				/* g£îñ */
-	bool_t		openflag;						/* I[vÏÝtO */
-	bool_t		sendflag;						/* MÝCl[utO */
-	bool_t		getready;						/* ¶ðóMµ½óÔ */
-	bool_t		putready;						/* ¶ðMÅ«éóÔ */
-	bool_t		is_initialized; 				/* foCXú»ÏÝtO */
+	const SIOPINIB	*p_siopinib; 				/* シリアルI/Oポート初期化ブロック */
+	intptr_t 	exinf;			 				/* 拡張情報 */
+	bool_t		openflag;						/* オープン済みフラグ */
+	bool_t		sendflag;						/* 送信割込みイネーブルフラグ */
+	bool_t		getready;						/* 文字を受信した状態 */
+	bool_t		putready;						/* 文字を送信できる状態 */
+	bool_t		is_initialized; 				/* デバイス初期化済みフラグ */
 };
 
 /*
- *  VAI/O|[gÇubNÌGA
+ *  シリアルI/Oポート管理ブロックのエリア
  */
 static SIOPCB	siopcb_table[TNUM_SIOP];
 
-/* WX^e[u */
+/* レジスタテーブル */
 static const SIOPINIB siopinib_table[TNUM_SIOP] =
 {
@@ -165,5 +160,5 @@
 
 /*
- *  VAI/O|[gID©çÇubNðæèo·½ßÌ}N
+ *  シリアルI/OポートIDから管理ブロックを取り出すためのマクロ
  */
 #define INDEX_SIOP(siopid)	 ((uint_t)((siopid) - 1))
@@ -173,5 +168,5 @@
 
 /*
- *  SIOhCoÌVA[hWX^(SMR)
+ *  SIOドライバのシリアルモードレジスタ(SMR)
  */
 static void
@@ -181,41 +176,40 @@
 
 	/*
-	 *  SCIhCoÌú»[`
-	 */
-
-	/*
-	 *  èÝvæWX^ÌÝè(ISELRi)
+	 *  SCIドライバの初期化ルーチン
+	 */
+
+	/*
+	 *  割り込み要求先レジスタの設定(ISELRi)
 	 *
-	 *  ZbglÆ¯¶lðÝè·é±ÆÉÈé½ß,
-	 *  ÍÈª·é.
-	 */
-
-	/*
-	 *  W
-[Xgbv@\ÌÝè
-	 */
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* ÝÂ */
+	 *  リセット値と同じ値を設定することになるため,
+	 *  処理は省略する.
+	 */
+
+	/*
+	 *  モジュールストップ機能の設定
+	 */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA502);	/* 書込み許可 */
 	sil_wrw_mem(p_siopinib->mstpcrreg,
 		sil_rew_mem(p_siopinib->mstpcrreg) & ~p_siopinib->mstpcr_offset);
-	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* ÝÖ~ */
-
-	/* óMÖ~, SCKn[qÍüoÍ|[gÆµÄgp */
+	sil_wrh_mem(SYSTEM_PRCR_ADDR, (uint16_t)0xA500);	/* 書込み禁止 */
+
+	/* 送受信禁止, SCKn端子は入出力ポートとして使用 */
 	sil_wrb_mem(p_siopinib->ctlreg, 0x00U);
 
-	/* NbNIðrbg(SMR.CKS[1:0]rbgðÝè) */
+	/* クロック選択ビット(SMR.CKS[1:0]ビットを設定) */
 	sil_wrb_mem(p_siopinib->modereg, 
 					sil_reb_mem(p_siopinib->modereg) | clksrc);
 
-	/* SMRÉM^ óMtH[}bgðÝè) */
+	/* SMRに送信／ 受信フォーマットを設定) */
 	sil_wrb_mem(p_siopinib->modereg, 
 			sil_reb_mem(p_siopinib->modereg) & (~SCI_SMR_FLG_ENABLE));
 
-	/* rbg[gðÝè */
+	/* ビットレートを設定 */
 	sil_wrb_mem(p_siopinib->bitratereg, bitrate);
 
-	/* rbgúÔ(î{NbN16TCNÌúÔª1rbgúÔÆÈé) */
+	/* ビット期間(基本クロック16サイクルの期間が1ビット期間となる) */
 	for(i = 0; i < 16; i++) { }
 
-	/* óMÂ */
+	/* 送受信許可 */
 	sil_wrb_mem(p_siopinib->ctlreg, 
 		(sil_reb_mem(p_siopinib->ctlreg) | SCI_SCR_FLG_ENABLE));
@@ -224,5 +218,5 @@
 
 /*
- *  SIOhCoÌú»[`
+ *  SIOドライバの初期化ルーチン
  */
 void
@@ -233,5 +227,5 @@
 
 	/*
-	 *  VAI/O|[gÇubNÌú»
+	 *  シリアルI/Oポート管理ブロックの初期化
 	 */
 	for (p_siopcb = siopcb_table, i = 0; i < TNUM_SIOP; p_siopcb++, i++){
@@ -243,5 +237,5 @@
 
 /*
- *  J[lN®Ìoi[oÍpÌú»
+ *  カーネル起動時のバナー出力用の初期化
  */
 void
@@ -250,10 +244,10 @@
 	SIOPCB          *p_siopcb   = get_siopcb(siopid);
 	const SIOPINIB  *p_siopinib = get_siopinib(siopid);
-	/*  ±Ì_ÅÍAp_siopcb->p_siopinibÍú»³êÄ¢È¢  */
-
-	/*  ñdú»Ìh~  */
+	/*  この時点では、p_siopcb->p_siopinibは初期化されていない  */
+
+	/*  二重初期化の防止  */
 	p_siopcb->is_initialized = true;
 
-	/*  n[hEFAÌú»ÆMÂ  */
+	/*  ハードウェアの初期化処理と送信許可  */
 	rx630_uart_setmode(p_siopinib , bitrate, clksrc);
 	sil_wrb_mem(p_siopinib->ctlreg, 
@@ -262,5 +256,5 @@
 
 /*
- *  VAI/O|[gÖÌ|[OÅÌoÍ
+ *  シリアルI/Oポートへのポーリングでの出力
  */
 void
@@ -272,5 +266,5 @@
 
 	/*
-	 *  MWX^ªóÉÈéÜÅÒÂ
+	 *  送信レジスタが空になるまで待つ
 	 */
 	while((sil_reb_mem(p_siopinib->ssrreg) & SCI_SSR_TEND_BIT) == 0U);
@@ -280,5 +274,5 @@
 
 /*
- *  VAI/O|[gÌI[v
+ *  シリアルI/Oポートのオープン
  */
 SIOPCB *
@@ -293,7 +287,7 @@
 
 	/*
-	 *  n[hEFAÌú»
+	 *  ハードウェアの初期化
 	 *
-	 *  ùÉú»µÄ¢éêÍ, ñdÉú»µÈ¢.
+	 *  既に初期化している場合は, 二重に初期化しない.
 	 */
 	if(!(p_siopcb->is_initialized)){
@@ -310,5 +304,5 @@
 
 /*
- *  VAI/O|[gÌN[Y
+ *  シリアルI/Oポートのクローズ
  */
 void
@@ -316,5 +310,5 @@
 {
 	/*
-	 *  UARTâ~
+	 *  UART停止
 	 */
 	sil_wrh_mem(p_siopcb->p_siopinib->ctlreg, 0x00U);
@@ -324,5 +318,5 @@
 
 /*
- *  VAI/O|[gÖÌ¶M
+ *  シリアルI/Oポートへの文字送信
  */
 bool_t
@@ -341,5 +335,5 @@
 
 /*
- *  VAI/O|[g©çÌ¶óM
+ *  シリアルI/Oポートからの文字受信
  */
 int_t
@@ -349,9 +343,9 @@
 
 	/*
-	 *  óMtOªONÌÆ«ÌÝóMobt@©ç¶ðæ¾·é.
-	 *  ±êÍ, |[OóMÉÎ·é½ßÅ é.
-	 *  µ©µ, RX600V[YÅÍóMtOªÈ¢±Æ, VXeT[rX
-	 *  ÅÍóMÝÌ©çµ©f[^ðóMµÉÈ¢±Æ©ç, íÉ
-	 *  óMobt@©ç¶ðæ¾·é.
+	 *  受信フラグがONのときのみ受信バッファから文字を取得する.
+	 *  これは, ポーリング受信に対応するためである.
+	 *  しかし, RX600シリーズでは受信フラグがないこと, システムサービス
+	 *  では受信割込みの中からしかデータを受信しに来ないことから, 常に
+	 *  受信バッファから文字を取得する.
 	 */
 	c = (int)(sil_reb_mem(p_siopcb->p_siopinib->rdreg));
@@ -361,5 +355,5 @@
 
 /*
- *  VAI/O|[g©çÌR[obNÌÂ
+ *  シリアルI/Oポートからのコールバックの許可
  */
 void
@@ -382,5 +376,5 @@
 
 /*
- *  VAI/O|[g©çÌR[obNÌÖ~
+ *  シリアルI/Oポートからのコールバックの禁止
  */
 void
@@ -403,5 +397,5 @@
 
 /*
- *  SIOÌÝT[rX[`
+ *  SIOの割込みサービスルーチン
  */
 void
@@ -413,5 +407,5 @@
 		(void *)p_siopcb->p_siopinib->ssrreg) & SCI_SSR_TEND_BIT) != 0U){
 		/*
-		 *  MÂ\R[obN[`ðÄÑo·D
+		 *  送信可能コールバックルーチンを呼び出す．
 		 */
 		rx630_uart_irdy_snd(p_siopcb->exinf);
@@ -425,11 +419,11 @@
 
 	/*
-	 *  óMtOªONÌÆ«ÌÝóMÊmR[obN[`ðÄÑo·.
-	 *  µ©µ, RX600V[YÅÍóMtOªÈ¢½ß, íÉóMÊm
-	 *  R[obN[`ðÄÑo·.
-	 *  ±±ÅÍóMÝÌ­¶ðM¶é.
-	 */
-	/*
-	 *  óMÊmR[obN[`ðÄÑo·D
+	 *  受信フラグがONのときのみ受信通知コールバックルーチンを呼び出す.
+	 *  しかし, RX600シリーズでは受信フラグがないため, 常に受信通知
+	 *  コールバックルーチンを呼び出す.
+	 *  ここでは受信割込みの発生を信じる.
+	 */
+	/*
+	 *  受信通知コールバックルーチンを呼び出す．
 	 */
 	rx630_uart_irdy_rcv(p_siopcb->exinf);
@@ -438,5 +432,5 @@
 
 /*
- *  |[gÔ©çÇubNÌæªÔnÖÌÏ·
+ *  ポート番号から管理ブロックの先頭番地への変換
  */
 SIOPCB *
@@ -447,5 +441,5 @@
 
 /*
- * ÇubNÌæªÔn©çóMÝÔÖÌÏ·
+ * 管理ブロックの先頭番地から受信割込み番号への変換
  */
 INTNO 
@@ -456,5 +450,5 @@
 
 /*
- * ÇubNÌæªÔn©çMÝÔÖÌÏ·
+ * 管理ブロックの先頭番地から送信割込み番号への変換
  */
 INTNO 
Index: uKadecot/trunk/ssp/pdic/rx600/rx630_uart.h
===================================================================
--- uKadecot/trunk/ssp/pdic/rx600/rx630_uart.h	(revision 101)
+++ uKadecot/trunk/ssp/pdic/rx600/rx630_uart.h	(revision 107)
@@ -6,41 +6,37 @@
  *  Copyright (C) 2013      by Mitsuhiro Matsuura
  * 
- *  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
- *  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
- *  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
- *  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
- *       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
- *      XR[hÉÜÜêÄ¢é±ÆD
- *  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
- *      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
- *      Ì³ÛØKèðfÚ·é±ÆD
- *  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
- *      ÆD
- *    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
- *        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
- *    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
- *        ñ·é±ÆD
- *  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
- *      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
- *      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
- *      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
- *      ÆÓ·é±ÆD
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
- *  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
- *  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
- *  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
- *  ÌÓCðíÈ¢D
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
 
 /*
- *  UARTp ÈÕSIOhCo
+ *  UART用 簡易SIOドライバ
  */
 
@@ -48,5 +44,5 @@
 #define TOPPERS_RX630_UART_H
 
-/* wèÂ\ÈNbN\[X */
+/* 指定可能なクロックソース */
 #define CLK_F1	UINT_C(0x00)
 #define CLK_F4	UINT_C(0x01)
@@ -57,31 +53,31 @@
 
 /*
- *  VAI/O|[gÇubNÌè`
+ *  シリアルI/Oポート管理ブロックの定義
  */
 typedef struct sio_port_control_block	SIOPCB;
 
 /*
- *  R[obN[`Ì¯ÊÔ
+ *  コールバックルーチンの識別番号
  */
-#define SIO_RDY_SND    (1U)        /* MÂ\R[obN */
-#define SIO_RDY_RCV    (2U)        /* óMÊmR[obN */
+#define SIO_RDY_SND    (1U)        /* 送信可能コールバック */
+#define SIO_RDY_RCV    (2U)        /* 受信通知コールバック */
 
 /*
- *  SIOhCoÌú»[`
+ *  SIOドライバの初期化ルーチン
  */
 extern void rx630_uart_initialize(void);
 
 /*
- * J[lN®Ìoi[oÍpÌú»
+ * カーネル起動時のバナー出力用の初期化
  */
 extern void rx630_uart_init(ID siopid , uint8_t baud , uint8_t clksrc);
 
 /*
- *  VAI/O|[gÖÌ|[OÅÌoÍ
+ *  シリアルI/Oポートへのポーリングでの出力
  */
 extern void rx630_uart_pol_putc(char c, ID siopid);
 
 /*
- *  VAI/O|[gÌI[v
+ *  シリアルI/Oポートのオープン
  */
 extern SIOPCB *rx630_uart_opn_por
@@ -89,30 +85,30 @@
 
 /*
- *  VAI/O|[gÌN[Y
+ *  シリアルI/Oポートのクローズ
  */
 extern void rx630_uart_cls_por(SIOPCB *p_siopcb);
 
 /*
- *  VAI/O|[gÖÌ¶M
+ *  シリアルI/Oポートへの文字送信
  */
 extern bool_t rx630_uart_snd_chr(SIOPCB *p_siopcb, char c);
 
 /*
- *  VAI/O|[g©çÌ¶óM
+ *  シリアルI/Oポートからの文字受信
  */
 extern int_t rx630_uart_rcv_chr(SIOPCB *p_siopcb);
 
 /*
- *  VAI/O|[g©çÌR[obNÌÂ
+ *  シリアルI/Oポートからのコールバックの許可
  */
 extern void  rx630_uart_ena_cbr(SIOPCB *p_siopcb, uint_t cbrtn);
 
 /*
- *  VAI/O|[g©çÌR[obNÌÖ~
+ *  シリアルI/Oポートからのコールバックの禁止
  */
 extern void rx630_uart_dis_cbr(SIOPCB *p_siopcb, uint_t cbrtn);
 
 /*
- *  SIOÌÝT[rX[`
+ *  SIOの割込みサービスルーチン
  */
 extern void rx630_uart_tx_isr(ID siopid);
@@ -120,10 +116,10 @@
 
 /*
- *  VAI/O|[g©çÌMÂ\R[obN
+ *  シリアルI/Oポートからの送信可能コールバック
  */
 extern void rx630_uart_irdy_snd(intptr_t exinf);
 
 /*
- *  VAI/O|[g©çÌóMÊmR[obN
+ *  シリアルI/Oポートからの受信通知コールバック
  */
 extern void rx630_uart_irdy_rcv(intptr_t exinf);
@@ -131,15 +127,15 @@
 
 /*
- *  |[gÔ©çÇubNÌæªÔnÖÌÏ·
+ *  ポート番号から管理ブロックの先頭番地への変換
  */
 extern SIOPCB *rx630_uart_get_siopcb(ID siopid);
 
 /*
- * ÇubNÌæªÔn©çóMÝÔÖÌÏ·
+ * 管理ブロックの先頭番地から受信割込み番号への変換
  */
 extern INTNO rx630_uart_intno_rx(SIOPCB *p_siopcb);
 
 /*
- * ÇubNÌæªÔn©çMÝÔÖÌÏ·
+ * 管理ブロックの先頭番地から送信割込み番号への変換
  */
 extern INTNO rx630_uart_intno_tx(SIOPCB *p_siopcb);