Index: uKadecot/trunk/ssp/utils/applyrename
===================================================================
--- uKadecot/trunk/ssp/utils/applyrename	(revision 101)
+++ uKadecot/trunk/ssp/utils/applyrename	(revision 109)
@@ -9,42 +9,38 @@
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
-#  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
-#  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
-#  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
-#  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
-#       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
-#      XR[hÉÜÜêÄ¢é±ÆD
-#  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
-#      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
-#      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
-#      Ì³ÛØKèðfÚ·é±ÆD
-#  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
-#      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
-#      ÆD
-#    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
-#        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-#    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
-#        ñ·é±ÆD
-#  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
-#      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
-#      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
-#      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
-#      ÆÓ·é±ÆD
+#  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+#  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#      スコード中に含まれていること．
+#  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#      の無保証規定を掲載すること．
+#  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#      と．
+#    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#        作権表示，この利用条件および下記の無保証規定を掲載すること．
+#    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#        報告すること．
+#  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#      免責すること．
 # 
-#  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
-#  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
-#  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
-#  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
-#  ÌÓCðíÈ¢D
+#  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#  の責任を負わない．
 # 
-#  @(#) $Id: applyrename 332 2007-07-17 12:15:37Z hiro $
+#  @(#) $Id$
 # 
 
 #
-#  t@CÉl[ðKp·é
+#  ファイルにリネームを適用する
 #
 sub applyrename
@@ -76,5 +72,5 @@
 
 #
-#  G[`FbN
+#  エラーチェック
 #
 if ($#ARGV < 1) {
@@ -83,5 +79,5 @@
 
 #
-#  ú»
+#  初期化
 #
 @syms = ();
@@ -89,5 +85,5 @@
 
 #
-#  V{XgðÇÝÞ
+#  シンボルリストを読み込む
 #
 $deffile = $name."_rename.def";
@@ -108,14 +104,14 @@
 
 #
-#  ³K\»ðìé
+#  正規表現を作る
 #
 $syms = join("|", @syms);
 
 #
-#  t@CÉl[ðKp·é
+#  ファイルにリネームを適用する
 #
 shift @ARGV;
 foreach $infile (@ARGV) {
-	# t@CÅÈ¯êÎXLbv
+	# ファイルでなければスキップ
 	next unless (-f $infile);
 